%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Panel plugin which allows to put the maximized window title and windows buttons on the panel
Name:		xfce4-windowck-plugin
Version:	0.5.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-windowck-plugin/start
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-windowck-plugin/%{url_ver}/xfce4-windowck-plugin-%{version}.tar.bz2
# Upstream patches
#
# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(libxfce4panel-2.0)
BuildRequires:  pkgconfig(libxfce4ui-2)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)

%description
A set of three plugins which allows putting buttons, title and menu of active
or maximized windows on the panel.

%prep
%autosetup -p1 -S git_am

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README*
%{_datadir}/themes/Windowck{,-dark}/
%{_datadir}/xfce4/panel/plugins/wckbuttons.desktop
%{_datadir}/xfce4/panel/plugins/wckmenu.desktop
%{_datadir}/xfce4/panel/plugins/wcktitle.desktop
%{_libdir}/xfce4/panel/plugins/libwckbuttons.so
%{_libdir}/xfce4/panel/plugins/libwckmenu.so
%{_libdir}/xfce4/panel/plugins/libwcktitle.so
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sun Jan 05 2025 wally <wally> 0.5.2-1.mga10
+ Revision: 2135538
- new version 0.5.2

* Sun Oct 30 2022 wally <wally> 0.5.1-1.mga9
+ Revision: 1900321
- imported package xfce4-windowck-plugin

